Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.http.lib
Class StaticUserWebFilter

    java.lang.Object
      org.apache.hadoop.http.FilterInitializer
          org.apache.hadoop.http.lib.StaticUserWebFilter

    public class StaticUserWebFilter

extends FilterInitializer

Provides a servlet filter that pretends to authenticate a fake user (Dr.Who) so that the web UI is usable for a secure cluster without authentication.

Nested Class Summary
`static class` | `StaticUserWebFilter.StaticUserFilter`

Constructor Summary
`StaticUserWebFilter()`

Method Summary
`void` | `initFilter(FilterContainer container, Configuration conf)` Initialize a Filter to a FilterContainer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticUserWebFilter

    public StaticUserWebFilter()

Method Detail

### initFilter

    public void initFilter(FilterContainer container,
                           Configuration conf)

  Description copied from class: `FilterInitializer`
  Initialize a Filter to a FilterContainer.

  Specified by:
    `initFilter` in class `FilterInitializer`
  Parameters:
    `container` - The filter container
    `conf` - Configuration for run-time parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation